DataBindingListenerAdapter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.databinding.events
[Java] Class DataBindingListenerAdapter

    java.lang.Object
      org.grails.databinding.events.DataBindingListenerAdapter

All Implemented Interfaces:
  DataBindingListener

    public class DataBindingListenerAdapter
    extends java.lang.Object

Authors:
  Jeff Brown

See Also:
  DataBindingListener

Since:
  2.3

Method Summary
`void` | `afterBinding(java.lang.Object obj, java.lang.String propertyName, java.lang.Object errors)`
`void` | `afterBinding(java.lang.Object target, java.lang.Object errors)`
`java.lang.Boolean` | `beforeBinding(java.lang.Object target, java.lang.Object errors)`
`java.lang.Boolean` | `beforeBinding(java.lang.Object obj, java.lang.String propertyName, java.lang.Object value, java.lang.Object errors)`
`void` | `bindingError(BindingError error, java.lang.Object errors)`
`boolean` | `supports(java.lang.Class clazz)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### afterBinding

    public void afterBinding(java.lang.Object obj, java.lang.String propertyName, java.lang.Object errors)

### afterBinding

    public void afterBinding(java.lang.Object target, java.lang.Object errors)

### beforeBinding

    public java.lang.Boolean beforeBinding(java.lang.Object target, java.lang.Object errors)

### beforeBinding

    public java.lang.Boolean beforeBinding(java.lang.Object obj, java.lang.String propertyName, java.lang.Object value, java.lang.Object errors)

### bindingError

    public void bindingError(BindingError error, java.lang.Object errors)

### supports

    public boolean supports(java.lang.Class clazz)

Groovy Documentation